PontosCulturais/ViewModels/ResidentesViewModel.cs
using PontosCulturais.Models;
using PontosCulturais.Models.CadastroPessoaFísica;
using PontosCulturais.ViewModels.Base;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Threading.Tasks;

namespace PontosCulturais.ViewModels
{
    public class ResidentesViewModel : ComAvisoViewModelBase
    {
        public IEnumerable<ResidenteModelo> Residentes { get; set; }
        public ResidenteModelo Residente { get; set; }
    }
}

PontosCulturais/Controllers/PainelController.cs
using System;
using System.Collections.Generic;
using System.Linq;
using System.Security.Claims;
using System.Threading.Tasks;
using Microsoft.AspNetCore.Authentication;
using Microsoft.AspNetCore.Authentication.Cookies;
using Microsoft.AspNetCore.Authorization;
using Microsoft.AspNetCore.Http;
using Microsoft.AspNetCore.Mvc;
using PontosCulturais.Geradores.Interfaces;
using PontosCulturais.Models;
using PontosCulturais.Repositórios.Interface;
using PontosCulturais.Serviços.Interfaces;
using PontosCulturais.Singletons;
using PontosCulturais.ViewModels;

namespace PontosCulturais.Controllers
{
    public class PainelController : Controller
    {
        private readonly IViewModelControllersGerador<LoginViewModel> _geradorLoginViewModel;
        private readonly IAvisoViewModelGerador _geradorAvisoViewModel;

        private readonly ICadastroPessoaFísicaRepositório _repositórioPessoaFísica;

        private readonly ISegurançaServiço _criptografiaServiço;
        private readonly ILoginServiço _loginServiço;

        public PainelController(IViewModelControllersGerador<LoginViewModel> geradorLoginViewModel, IAvisoViewModelGerador geradorAvisoViewModel,
            ICadastroPessoaFísicaRepositório repositórioPessoaFísica, ISegurançaServiço criptografiaServiço, ILoginServiço loginServiço)
        {
            _geradorLoginViewModel = geradorLoginViewModel;
            _geradorAvisoViewModel = geradorAvisoViewModel;
            _repositórioPessoaFísica = repositórioPessoaFísica;
            _criptografiaServiço = criptografiaServiço;
            _loginServiço = loginServiço;
        }

        public IActionResult Entrar()
        {
            if (User.Identity.IsAuthenticated) return RedirectToAction(nameof(Mostrar));
            return View(_geradorLoginViewModel.GerarViewModelInicial());
        }

        public async Task<IActionResult> FazerLogin(LoginViewModel viewModel)
        {

            if (string.IsNullOrEmpty(viewModel.Email) || string.IsNullOrEmpty(viewModel.Senha))
            {
                viewModel.Aviso = _geradorAvisoViewModel.GerarMensagemErro("Nenhum dos dois campos pode estar vazio", Erros.CamposLoginVazios);
                return View(nameof(Entrar), viewModel);
            }

            var senhaCriptografada = _criptografiaServiço.Criptografar(viewModel.Senha);
            var campo = _repositórioPessoaFísica.Logar(viewModel.Email, senhaCriptografada);

            if (campo == null)
            {
                viewModel.Aviso = _geradorAvisoViewModel.GerarMensagemErro("Usuário não encontrado", Erros.UsuárioNãoEncontrado);
                viewModel.Senha = "";

                return View(nameof(Entrar), viewModel);
            }

            if(!campo.EmailConfirmado)
            {
                viewModel.Aviso = _geradorAvisoViewModel.GerarMensagemErro("E-mail não confirmado", Erros.EmailNãoConfirmado);
                viewModel.Senha = "";

                return View(nameof(Entrar), viewModel);
            }

            await _loginServiço.LogarCandidatoAoAuxílioAsync(HttpContext, campo);

            return RedirectToAction(nameof(Mostrar));
        }

        [Authorize(Roles = ConstantesAutenticaçãoSingleton.CandidatoAoAuxílio)]
        public IActionResult Mostrar()
        {
            var usuário = ObterUsuário();
            return View(usuário.CadastrarEspaçoCultural);
        }

        [Authorize(Roles = ConstantesAutenticaçãoSingleton.CandidatoAoAuxílio)]
        public async Task<IActionResult> Sair()
        {
            await _loginServiço.LogoutAsync(HttpContext);
            return RedirectToAction(nameof(Entrar));
        }

        public IActionResult Negado()
        {
            return View();
        }

        private CadastroPessoaFísicaModelo ObterUsuário()
        {
            var id = int.Parse(User.Claims.Where(c => c.Type == ClaimTypes.NameIdentifier).First().Value);
            var usuário = _repositórioPessoaFísica.RetornarPorId(id);

            return usuário;
        }
    }
}

PontosCulturais/Controllers/PessoaFisicaController.cs
using System;
using System.Linq;
using System.Security.Claims;
using System.Threading.Tasks;
using Microsoft.AspNetCore.Authorization;
using Microsoft.AspNetCore.Mvc;
using PontosCulturais.Contexto;
using PontosCulturais.Controllers.Base;
using PontosCulturais.Exceptions.Base;
using PontosCulturais.Geradores.Interfaces;
using PontosCulturais.Models;
using PontosCulturais.Models.CadastroPessoaFísica;
using PontosCulturais.Repositórios.Interface;
using PontosCulturais.Serviços.Interfaces;
using PontosCulturais.Singletons;
using PontosCulturais.Singletons.Interfaces;
using PontosCulturais.ViewModels;

namespace PontosCulturais.Controllers
{
    public class PessoaFisicaController : EFControllerBase
    {
        //Repositórios
        private readonly IOpçõesCadastroPessoaFísicaRepositório _repositórioOpçõesCadastro;
        private readonly ICadastroPessoaFísicaRepositório _repositórioCadastroPessoaFísica;
        private readonly ISegmentosCulturaisRepositório _repositórioSegmentosCulturais;
        private readonly IResidentesRepositório _repositórioResidentes;
        private readonly IDocumentosPessoaFísicaRepositório _repositórioDocumentos;

        //Serviços
        private readonly ISegurançaServiço _criptografiaServiço;
        private readonly IUploadServiço _uploadServiço;
        private readonly IEmailServiço _emailServiço;

        //Validar
        private readonly IValidarModeloServiço<CadastroPessoaFísicaModelo> _validarPessoaFísica;
        private readonly IValidarModeloServiço<ResidenteModelo> _validarResidente;
        private readonly IValidarModeloServiço<DocumentosPessoaFísicaViewModel> _validarDocumentosViewModel;

        //Geradores
        private readonly IViewModelControllersGerador<CadastroPessoaFísicaViewModel> _geradorCadastroViewModel;
        private readonly IAvisoViewModelGerador _geradorAvisos;
        private readonly IResidentesViewModelGerador _geradorResidentesViewModel;
        private readonly IMostrarDadosViewModelGerador _geradorMostrarDadosViewModel;
        private readonly IViewModelControllersGerador<DocumentosPessoaFísicaViewModel> _geradorDocumentosViewModel;

        public PessoaFisicaController(AppContexto contexto, IViewModelControllersGerador<CadastroPessoaFísicaViewModel> geradorCadastroViewModel, IOpçõesCadastroPessoaFísicaRepositório repositórioOpçõesCadastro, 
            IValidarModeloServiço<CadastroPessoaFísicaModelo> validarPessoaFísica, IAvisoViewModelGerador geradorAvisos, ICadastroPessoaFísicaRepositório repositórioCadastroPessoaFísica,
            ISegmentosCulturaisRepositório repositórioSegmentosCulturais, ISegurançaServiço criptografiaServiço, IResidentesRepositório repositórioRedidentes, 
            IResidentesViewModelGerador geradorResidentesViewModel, IValidarModeloServiço<ResidenteModelo> validarResidente, IMostrarDadosViewModelGerador geradorMostrarDadosViewModel,
            IViewModelControllersGerador<DocumentosPessoaFísicaViewModel> geradorDocumentosViewModel, IUploadServiço uploadServiço, IValidarModeloServiço<DocumentosPessoaFísicaViewModel> validarDocumentosViewModel,
            IDocumentosPessoaFísicaRepositório repositórioDocumentos, IEmailServiço emailServiço) 
            : base(contexto)
        {
            _geradorCadastroViewModel = geradorCadastroViewModel;
            _repositórioOpçõesCadastro = repositórioOpçõesCadastro;
            _validarPessoaFísica = validarPessoaFísica;
            _geradorAvisos = geradorAvisos;
            _repositórioCadastroPessoaFísica = repositórioCadastroPessoaFísica;
            _repositórioSegmentosCulturais = repositórioSegmentosCulturais;
            _criptografiaServiço = criptografiaServiço;
            _repositórioResidentes = repositórioRedidentes;
            _geradorResidentesViewModel = geradorResidentesViewModel;
            _validarResidente = validarResidente;
            _geradorMostrarDadosViewModel = geradorMostrarDadosViewModel;
            _geradorDocumentosViewModel = geradorDocumentosViewModel;
            _uploadServiço = uploadServiço;
            _validarDocumentosViewModel = validarDocumentosViewModel;
            _repositórioDocumentos = repositórioDocumentos;
            _emailServiço = emailServiço;

        }

        public IActionResult Cadastrar()
        {

            var viewModel = _geradorCadastroViewModel.GerarViewModelInicial();
            CarregarListasModelo(viewModel);
            return View(viewModel);
        }


        [HttpPost] [ValidateAntiForgeryToken]
        public IActionResult Finalizar(CadastroPessoaFísicaViewModel modelo)
        {
            var resultado = _validarPessoaFísica.Validar(modelo.Cadastro);
            if (resultado.Erro)
            {
                CarregarListasModelo(modelo);
                modelo.Aviso = resultado;
                return View(nameof(Cadastrar), modelo);
            }

            if(!_repositórioCadastroPessoaFísica.VerificarCPFÚnico(modelo.Cadastro.CPF))
            {
                CarregarListasModelo(modelo);
                modelo.Aviso = _geradorAvisos.GerarMensagemErro("CPF já usado", Erros.CPFRepetidoCadastroCadastro);
                return View(nameof(Cadastrar), modelo);
            }

            if(!_repositórioCadastroPessoaFísica.VerificarEmailÚnico(modelo.Cadastro.Email))
            {
                CarregarListasModelo(modelo);
                modelo.Aviso = _geradorAvisos.GerarMensagemErro("Email já usado", Erros.EmailRepetido);
                return View(nameof(Cadastrar), modelo);
            }

            if(!_repositórioCadastroPessoaFísica.VerificarRGÚnico(modelo.Cadastro.RG))
            {
                CarregarListasModelo(modelo);
                modelo.Aviso = _geradorAvisos.GerarMensagemErro("RG já usado", Erros.RGRepetido);
                return View(nameof(Cadastrar), modelo);
            }

            if(!_repositórioResidentes.VerificarCPFCertidãoNãoCadastrado(modelo.Cadastro.CPF))
            {
                CarregarListasModelo(modelo);
                modelo.Aviso = _geradorAvisos.GerarMensagemErro("CPF já usada como residente em outro cadastro", Erros.CPFRepetidoCadastroResidente);
                return View(nameof(Cadastrar), modelo);
            }

            modelo.Cadastro.Senha = _criptografiaServiço.Criptografar(modelo.Cadastro.Senha);
            _repositórioCadastroPessoaFísica.Inserir(modelo.Cadastro);
            var segmentos = _repositórioSegmentosCulturais.RetornarSegmentos(modelo.Cadastro.SegmentosCulturaisId);
            var entradasRelacionamento = segmentos.Select(sc => new SegmentoCulturalPessoaFísicaModelo { PessoaFísica = modelo.Cadastro, SegmentoCultural = sc });
            _repositórioSegmentosCulturais.InserirRelacionamentos(entradasRelacionamento);
            SalvarAlterações();

            var token = _criptografiaServiço.GerarToken(modelo.Cadastro.Id, PropósitoToken.ConfirmarEmail);
            _emailServiço.EnviarEmailConfirmação(token, modelo.Cadastro.Email);

            return View("Sucesso");
        }

        [Authorize(Roles = ConstantesAutenticaçãoSingleton.CandidatoAoAuxílio)]
        public IActionResult Residentes()
        {
            var idUsuário = RetornarID();
            var residentes = _repositórioResidentes.RetornarResidentes(idUsuário);
            var viewModel = _geradorResidentesViewModel.GerarViewModelInicial(residentes);

            return View(viewModel);
        }



        [HttpPost] [ValidateAntiForgeryToken] [Authorize(Roles = ConstantesAutenticaçãoSingleton.CandidatoAoAuxílio)]
        public IActionResult CadastrarResidente(ResidentesViewModel viewModel)
        {
            var resultado = _validarResidente.Validar(viewModel.Residente);
            var idUsuário = RetornarID();

            if (resultado.Erro)
            {
                var residentes = _repositórioResidentes.RetornarResidentes(idUsuário);
                var novoViewModel = _geradorResidentesViewModel.GerarComAviso(residentes, resultado);
                return View(nameof(Residentes), novoViewModel);
            }

            if(!_repositórioCadastroPessoaFísica.VerificarCPFÚnico(viewModel.Residente.CPFOuCertidão))
            {
                var residentes = _repositórioResidentes.RetornarResidentes(idUsuário);
                var aviso = _geradorAvisos.GerarMensagemErro("CPF já cadastrado como usuário pessoa física", Erros.CPFRepetidoResidenteCadastro);
                var novoViewModel = _geradorResidentesViewModel.GerarComAviso(residentes, aviso);

                return View(nameof(Residentes), novoViewModel);
            }

            if(!_repositórioResidentes.VerificarCPFCertidãoNãoCadastrado(viewModel.Residente.CPFOuCertidão))
            {
                var residentes = _repositórioResidentes.RetornarResidentes(idUsuário);
                var aviso = _geradorAvisos.GerarMensagemErro("CPF/Registro de Nascimento já cadastrado por você ou outra pessoa", Erros.CPFRepetidoResidenteResidente);
                var novoViewModel = _geradorResidentesViewModel.GerarComAviso(residentes, aviso);

                return View(nameof(Residentes), novoViewModel);
            }

            viewModel.Residente.CadastroPessoaFísicaModeloId = idUsuário;
            _repositórioResidentes.Inserir(viewModel.Residente);
            SalvarAlterações();

            return RedirectToAction(nameof(Residentes));
        }

        [Authorize(Roles = ConstantesAutenticaçãoSingleton.CandidatoAoAuxílio)]
        public IActionResult Visualizar()
        {
            var id = RetornarID();
            var usuário = _repositórioCadastroPessoaFísica.RetornarPorIdComJoins(id);
            var segmentos = _repositórioSegmentosCulturais.RetornarSegmentosPessoaFísica(id);
            var viewModel = _geradorMostrarDadosViewModel.GerarViewModelInicial(usuário, segmentos);

            return View(viewModel);
        }

        [Authorize(Roles = ConstantesAutenticaçãoSingleton.CandidatoAoAuxílio)]

PontosCulturais/Views/PessoaFisica/Anexos.cshtml
<a asp-controller="Painel" asp-action="Mostrar" class="btn btn-success mb-4">Menu Princinpal</a>

@model PontosCulturais.ViewModels.DocumentosPessoaFísicaViewModel
@await Html.PartialAsync("_Aviso", Model.Aviso) 

<form asp-controller="PessoaFisica" asp-action="InserirAnexos" method="post" enctype="multipart/form-data" asp-antiforgery="true"> 
    <div class="form-group row">
        <div class="col-sm-4">
            <label>Frente do RG/CNH*</label>
            <input type="file" class="form-control-file" asp-for="FrenteRGCNH" required accept="@ConstantesUploadSingleton.ExtensõesDocumentosForm"/>
        </div>

        <div class="col-sm-4">
            <label>Verso do RG/CNH*</label>
            <input type="file" class="form-control-file" asp-for="VersoRGCNH" required accept="@ConstantesUploadSingleton.ExtensõesDocumentosForm"/>
        </div>

        <div class="col-sm-4">
            <label>Selfie com o RG/CNH*</label>
            <input type="file" class="form-control-file" asp-for="Selfie" required accept="@ConstantesUploadSingleton.ExtensõesFotoForm"/>
            <small>Deixe a foto no documento visível</small>
        </div>
    </div>

    <div class="form-group row">
        <div class="col-sm-4">
            <label>Comprovante de CPF*</label>
            <input type="file" class="form-control-file" asp-for="CPF" required accept="@ConstantesUploadSingleton.ExtensõesDocumentosForm"/>
        </div>

        <div class="col-sm-4">
            <label>Comprovante de Endereço*</label>
            <input type="file" class="form-control-file"  asp-for="ComprovanteEndereço" required accept="@ConstantesUploadSingleton.ExtensõesDocumentosForm"/>
        </div>

        <div class="col-sm-4">
            <label>Comprovante Bancário</label>
            <input type="file" class="form-control-file" asp-for="ComprovanteBancário" accept="@ConstantesUploadSingleton.ExtensõesDocumentosForm"/>
        </div>
    </div>

    <div class="form-group row">
        <div class="col">
            <label>Comprovante de Atividades*</label>
            <input type="file" class="form-control-file" asp-for="ComprovanteAtividades" required accept="@ConstantesUploadSingleton.ExtensõesAtividadesForm" />
            <small>Você pode enviar um arquivo de até 10 MB.</small>
        </div>
    </div>

    <button type="submit" class="btn btn-primary mt-4" >Enviar Documentos</button>
</form>

PontosCulturais/Views/PessoaFisica/DocumentosEnviados.cshtml
<div class="alert alert-success">
    Seus documentos foram enviados! Clique <a asp-controller="Painel" asp-action="Mostrar" class="font-weight-bold">aqui</a> para voltar ao menu principal.
</div>

PontosCulturais/Views/PessoaFisica/Residentes.cshtml
@model PontosCulturais.ViewModels.ResidentesViewModel
@await Html.PartialAsync("_Aviso", Model.Aviso)

<a class="btn btn-success mb-4" asp-action="Mostrar" asp-controller="Painel">Menu Principal</a>

@if (Model.Residentes.Count() > 0)
{
    <table class="table border-bottom">
        <thead>
            <tr>
                <th scope="col">CPF ou Registro de Nascimento</th>
                <th scope="col">Nome</th>
                <th scope="col">Parentesco</th>
            </tr>
        </thead>
        <tbody>
            @foreach (var item in Model.Residentes)
            {
                <tr>
                    <td>@item.CPFOuCertidão</td>
                    <td>@item.Nome</td>
                    <td>@item.Parentesco</td>
                </tr>
            }
        </tbody>
    </table>
}
else
{
    <p class="lead">Nada Encontrado.</p>
}


<form asp-action="CadastrarResidente" method="post" enctype="multipart/form-data" class="mt-4">

    <h1 class="display-4 mb-4">Adicionar Residente</h1>

    <div class="form-group row">
        <div class="col-sm-8">
            <label>Nome Completo*:</label>
            <input type="text" class="form-control" asp-for="Residente.Nome" />
        </div>

        <div class="col-sm-4">
            <label>Parentesco*:</label>
            <input type="text" class="form-control" asp-for="Residente.Parentesco" />
        </div>
    </div>

    <div class="form-group row">
        <div class="col">
            <label>CPF ou Registro de Nascimento*:</label>
            <input type="text" class="form-control" asp-for="Residente.CPFOuCertidão" />
        </div>
    </div>

    <button type="submit" class="btn btn-primary">Adicionar Residente</button>
</form>

PontosCulturais/Views/PessoaFisica/Sucesso.cshtml
<div class="alert alert-success">
    Cadastro <strong>inicial</strong> efetuado com sucesso! Enviamos um e-mail de confirmação. Após confirmar, você pode continuar os demais passos <a asp-controller="Painel" asp-action="Entrar">aqui</a>. 
</div>

PontosCulturais/Views/PessoaFisica/Visualizar.cshtml
@model PontosCulturais.ViewModels.MostrarDadosViewModel
@inject IApresentarInformaçõesServiço _apresentarServiço

<a class="btn btn-success mb-4" asp-controller="Painel" asp-action="Mostrar">Menu Principal</a>

<p class="lead">Dados de Cadastro</p>

<div class="form-group row">
    <div class="col-sm-4">
        <label>CPF:</label>
        <input type="text" class="form-control" readonly asp-for="PessoaFísica.CPF" />
    </div>

    <div class="col-sm-8">
        <label>Nome Completo:</label>
        <input type="text" class="form-control" readonly asp-for="PessoaFísica.NomeCompleto" />
    </div>
</div>

<div class="form-group row">
    <div class="col-sm-6">
        <label>RG:</label>
        <input type="text" class="form-control" asp-for="PessoaFísica.RG" readonly />
    </div>

    <div class="col-sm-6">
        <label>Órgão Emissor e Estado:</label>
        <input type="text" class="form-control" asp-for="PessoaFísica.ÓrgãoEstado" readonly />
    </div>
</div>

<div class="form-group row">
    <div class="col-sm-4">
        <label for="nascimento">Data de Nascimento:</label>
        <input type="text" class="form-control" asp-for="PessoaFísica.Nascimento" readonly />
    </div>
    <div class="col-sm-8">
        <label for="nomemae">Nome da Mãe:</label>
        <input type="text" class="form-control" asp-for="PessoaFísica.NomeMãe" readonly />
    </div>
</div>

<div class="form-group row">
    <div class="col-sm-4">
        <label for="telefone1">Telefone 01:</label>
        <input type="text" class="form-control" asp-for="PessoaFísica.Telefone01" readonly />
    </div>

    <div class="col-sm-4">
        <label for="telefone2">Telefone 02:</label>
        <input type="text" class="form-control" asp-for="PessoaFísica.Telefone02" readonly />
    </div>

    <div class="col-sm-4">
        <label for="nomesocial">Nome Social:</label>
        <input type="text" class="form-control" asp-for="PessoaFísica.NomeSocial" readonly />
    </div>
</div>

<div class="form-group row">
    <div class="col-sm-6">
        <label for="email">E-mail:</label>
        <input type="email" class="form-control" asp-for="PessoaFísica.Email" readonly />
    </div>
    <div class="col-sm-6">
        <label for="estado">País de Nascimento:</label>
        <input type="text" class="form-control" asp-for="PessoaFísica.PaísNascimento" readonly />
    </div>
</div>

<div class="form-group row">
    <div class="col-sm-6">
        <label for="endereco">Endereço:</label>
        <input type="text" class="form-control" asp-for="PessoaFísica.Endereço" readonly />
    </div>

    <div class="col-sm-3">
        <label for="complemento">Complemento:</label>
        <input type="text" class="form-control" asp-for="PessoaFísica.ComplementoEndereço" readonly />
    </div>

    <div class="col-sm-3">
        <label for="bairro">Bairro:</label>
        <input type="text" class="form-control" asp-for="PessoaFísica.Bairro" readonly />
    </div>
</div>

<div class="form-group row">
    <div class="col-sm-4">
        <label>Gênero</label>
        <input type="text" class="form-control" asp-for="PessoaFísica.GêneroDeclarado.Nome" readonly />
    </div>

    <div class="col-sm-4">
        <label>Raça</label>
        <input type="text" class="form-control" asp-for="PessoaFísica.Raça.Nome" readonly />
    </div>

    <div class="col-sm-4">
        <label>Deficiência</label>
        <input type="text" class="form-control" asp-for="PessoaFísica.Deficiência.Nome" readonly />
    </div>
</div>

<div class="form-group row">
    <div class="col-sm-4">
        <label>Comunidade Tradicional</label>
        <input type="text" class="form-control" asp-for="PessoaFísica.ComunidadeTradicional.Nome" readonly />
    </div>

    <div class="col-sm-4">
        <label>Atuação Cultural</label>
        <input type="text" class="form-control" asp-for="PessoaFísica.FunçãoCultural.Nome" readonly />
    </div>

    <div class="col-sm-4">
        <label>Vínculo Empregatício</label>
        <input type="text" class="form-control" asp-for="PessoaFísica.SituaçãoTrabalho.Nome" readonly />
    </div>
</div>

<div class="form-group row">
    <div class="col-sm-6">
        <label>Segmentos Culturais:</label>
        <textarea class="form-control" rows="4" readonly asp-for="SegmentosCulturaisTexto"></textarea>
    </div>

    <div class="col-sm-6">
        <label>Atuação:</label>
        <textarea class="form-control" rows="4" readonly asp-for="PessoaFísica.Atuação"></textarea>
    </div>
</div>

<div class="form-group row">
    <div class="col-sm-4">
        <label>Tipo de Conta</label>
        <input type="text" class="form-control" readonly asp-for="PessoaFísica.TipoContaBancária.Nome"/>
    </div>

    <div class="col-sm-4">
        <label>Banco</label>
        <input type="text" class="form-control" readonly asp-for="PessoaFísica.Banco.Nome"/>
    </div>

    <div class="col-sm-3">
        <label>Conta</label>
        <input type="text" class="form-control" readonly asp-for="PessoaFísica.ContaBancária"/>
    </div>

    <div class="col-sm-1">
        <label>Operação</label>
        <input type="text" class="form-control" readonly asp-for="PessoaFísica.CódigoOperação" />
    </div>
</div>

<div class="form-group row">
    <div class="col">
        <label>
            Vai cadastrar espaço cultural : @_apresentarServiço.Apresentar(Model.PessoaFísica.CadastrarEspaçoCultural)
        </label>
    </div>
</div>

<div class="form-group row">
    <div class="col">
        Mulher e chefe de família monoparental : @_apresentarServiço.Apresentar(Model.PessoaFísica.MulherProvedora)
    </div>
</div>